Package com.mouseviator.fsuipc

# Enum FSUIPCWrapper.LogSeverity

java.lang.Object
java.lang.Enum<FSUIPCWrapper.LogSeverity>
com.mouseviator.fsuipc.FSUIPCWrapper.LogSeverity

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FSUIPCWrapper.LogSeverity>`, `java.lang.constant.Constable`

Enclosing class:
  FSUIPCWrapper

    public static enum FSUIPCWrapper.LogSeverity
    extends java.lang.Enum<FSUIPCWrapper.LogSeverity>

An enumeration of logging severity that can be used in `FSUIPCWrapper.setupLogging(boolean, byte)` function. The severity levels are:

- TRACE
- DEBUG
- INFO
- WARNING
- ERROR
- FATAL

when TRACE will give you all the log messages, and FATAL only the fatal log messages (when the Earth is about to stop turning...)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DEBUG` |
  `ERROR` |
  `FATAL` |
  `INFO` |
  `TRACE` |
  `WARNING` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FSUIPCWrapper.LogSeverity` | `get​(byte value)` | Returns `FSUIPCWrapper.LogSeverity` by corresponding int value.
  `byte` | `getValue()` |
  `static FSUIPCWrapper.LogSeverity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static FSUIPCWrapper.LogSeverity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TRACE

    public static final FSUIPCWrapper.LogSeverity TRACE

  - ### DEBUG

    public static final FSUIPCWrapper.LogSeverity DEBUG

  - ### INFO

    public static final FSUIPCWrapper.LogSeverity INFO

  - ### WARNING

    public static final FSUIPCWrapper.LogSeverity WARNING

  - ### ERROR

    public static final FSUIPCWrapper.LogSeverity ERROR

  - ### FATAL

    public static final FSUIPCWrapper.LogSeverity FATAL

- ## Method Details

  - ### values

    public static FSUIPCWrapper.LogSeverity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FSUIPCWrapper.LogSeverity valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public byte getValue()
    Returns:
      Integer value of this type.

  - ### get

    public static FSUIPCWrapper.LogSeverity get​(byte value) throws java.security.InvalidParameterException
    Returns `FSUIPCWrapper.LogSeverity` by corresponding int value.
    Parameters:
      `value` - String value corresponding to one of enumeration constants.
    Returns:
      `FSUIPCWrapper.LogSeverity` by corresponding int value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.